int n = int.Parse(Console.ReadLine());
int l = int.Parse(Console.ReadLine());

int[] H = new int[n];
string[] h = Console.ReadLine().Split();
for (int i = 0; i < n; i++)
{
    H[i] = int.Parse(h[i]);
    }
    int Index = -1; 
    for (int i = 0; i < n; i++)
    {
        if (H[i] <= l)
            {
                    Index = i + 1; 
                            break;
                                }
                                }
                                Console.WriteLine(Index);